function [x,iterations] = bfarhc(lambda,R)
// bfarhc
//   Brute force acceptance rejection hard core model generates
//   spatial point processes and then compares every pair of points
//   to ensure that no two are within R of each other

// repeat until a success
count = 1;
iterations = 0;
while (count > 0);
  // Generate a spatial point process with intensity lambda
  x = spp(lambda);
  // Count the number of pairs of points that lie within R of each other
  count = 0;
  s = size(x);
  s = s(1);
  for loop1 = 1:s
    for loop2 = (loop1 + 1):s
      if (sqrt((x(loop1,1)-x(loop2,1))^2 + (x(loop1,2)-x(loop2,2))^2) < R)
        count = count + 1;
      end
    end
  end;
//  disp(count,"count",s,"s");
  iterations = iterations + 1;
end;

endfunction;
