function [bin_x] = binconfig(x,R);
// binconfig
//   Bins the points of x into a grid of squares of side length R
//
//   Input Variable:
//     x       The configuration
//     R       The radius of exclusion

// maximum number of points in a cell
MAX_POINTS = 10;

// Find out k, where grid is k by k
k = ceil(1/R);

// Grid consists of pointer to first point in square
bin_x = zeros(k^2,MAX_POINTS);

// How many points are encoded in x
s = size(x);
s = s(1);

// Run through points, put them in grid
for loop1 = 1:s;
  floor(x(loop1,1)/R)
  i = floor(x(loop1,1)/R) + 1;
  j = floor(x(loop1,2)/R) + 1;
  // Put point in first available location
  loop2 = 1;
  while (loop2 <= MAX_POINTS)
    if bin_x((i-1)*k + j,loop2) == 0
      bin_x((i-1)*k + j,loop2) = loop1;
      loop2 = MAX_POINTS;  // Break out of loop
    end;
    loop2 = loop2 + 1;
  end;
end


endfunction;
