function [b,x] = hcbpupdatepartialswap(step,M,b,x,R,p_swap)
// hcbpupdatepartialswap
//   Hard-core bounding process update takes one step in the Markov chain
//   with no swap move
//
//   Input Variables:
//     step      Encodes the step in the process
//     M         The mark on the point
//     b         The number of point in the lower process
//     x         The set of points (first b of which are lower, rest upper)
//     R         The minimum distance between two points
//     p_swap    The probability of making a swap

if (M < p_swap) // then do the swap move
  [b,x] = hcbpupdateswap(step,b,x,R);
else // do not use the swap move
  [b,x] = hcbpupdatenoswap(step,b,x,R);
end;

endfunction;
