function latex_figure_plot_wr(x,r,circle_radius);
// latex_figure_plot_wr
//   Creates a latex figure plot by generating \put commands
//
//   Input Variable
//     x               The configuration
//     r               The radius of interaction
//     circle_radius   The radius for the circles in latex
//
//   Author:  Mark Huber
//   Begun:  Feb. 19, 2007
//   Last modified:  Feb. 19, 2007


// Calculate size of picture
scale = circle_radius / r;

diary('latex_figure.tex');  // Turn diary on

// Start picture
mprintf('\\begin{picture}(%d,%d)\n',scale,scale);

// Create box around plot
mprintf('  \\put(0,0){\\line(0,1){%d}}\n',scale);
mprintf('  \\put(%d,0){\\line(0,1){%d}}\n',scale,scale);
mprintf('  \\put(0,0){\\line(1,0){%d}}\n',scale);
mprintf('  \\put(0,%d){\\line(1,0){%d}}\n',scale,scale);

// Put in all the points;
n = size(x); n = n(1);  // Find the number of points in configuration
for loop1 = 1:n;   // Cycle through the points
  if (x(loop1,3) == 1)
    mprintf('  \\put(%d,%d){\\circle{%d}}\n',x(loop1,1)*scale,x(loop1,2)*scale,circle_radius);
  else
    mprintf('  \\put(%d,%d){\\circle*{%d}}\n',x(loop1,1)*scale,x(loop1,2)*scale,circle_radius);
  end
end

// End Picture
mprintf('\\end{picture}\n');

diary(0);  // Turn diary off
endfunction
