function [x] = spp(lambda);
// spp
// Spatial Poisson process
//   Generates a random Poisson process over the unit square
//
//   Input Variable
//     lambda      The intensity of the process
//   Output Variable
//     x           The configuration

// Generate a Poisson random variable with parameter lambda
n = grand(1,'poi',lambda);

// Generate this many random points in the unit square
x = grand(n,2,'unf',0,1);
//x = zeros(n,2);
//for i=1:n
//  x(i,:) = rand(1,2,'uniform');
//end
  
endfunction;
