function [x] = spp_wr(lambda_1,lambda_2);
// spp
// Spatial Poisson process
//   Generates a random Poisson process over the unit square
//
//   Input Variable
//     lambda_1    The intensity of Type I points
//     lambda_2    The intensity of Type II points
//   Output Variable
//     x           The configuration

// Generate a Poisson random variable with parameter lambda
n = grand(1,'poi',lambda_1 + lambda_2);

// Generate this many random points in the unit square
x = grand(n,2,'unf',0,1);

// Generate random types for each of these points
x = [x 1*(grand(n,1,'unf',0,1) < (lambda_1/(lambda_1 + lambda_2)))];
  
endfunction;
